Page MenuHomePhabricator

Nomination of Addshore for Toolforge admin role
Closed, ResolvedPublic

Tokens
"Like" token, awarded by Harej."Like" token, awarded by MusikAnimal."Like" token, awarded by zhuyifei1999."Like" token, awarded by Mahir256."Barnstar" token, awarded by Marostegui."The World Burns" token, awarded by Reedy."Love" token, awarded by Legoktm."Like" token, awarded by Framawiki."Love" token, awarded by chasemp."Like" token, awarded by Krenair."Like" token, awarded by Jdforrester-WMF.
Assigned To
Authored By
bd808, Jul 21 2018

Description

I would like to nominate @Addshore for admin (root) rights in the Toolforge project. Adam is a long time Toolforge user and trusted community member. He already has the prerequisite NDA coverage (WMDE staff/contractor).

He has specifically volunteered to help improve the Kubernetes environment, but I'm pretty certain that he will help us make many other things more awesome as well.

Event Timeline

bd808 created this task.Jul 21 2018, 11:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2018, 11:08 AM
Framawiki added a subscriber: Framawiki.
Addshore moved this task from Unsorted 💣 to Watching 👀 on the User-Addshore board.
Reedy awarded a token.Jul 21 2018, 1:43 PM
zhuyifei1999 added a subscriber: zhuyifei1999.
Harej awarded a token.Jul 25 2018, 8:46 PM
bd808 added a subscriber: Andrew.Jul 29 2018, 1:59 PM

Steps from https://wikitech.wikimedia.org/wiki/Portal:Toolforge/Admin#What_makes_a_root:

  • Project administrator: This allows a user to add and delete other users from the Toolforge project.
  • sudo policy "roots": This allows a user to use sudo to become root on Toolforge instances.
  • 'admin' tool maintainer: This allows a user to log into infrastructure instances and perform tasks as the admin tool.
  • Gerrit groups "labs-toollabs" and "toollabs-trusted": These allow a user to +2 changes in repositories exclusive to Toolforge.

I did not grant @Addshore into the labs-toollabs gerrit group because I myself am not in the group! Looks like help from @Andrew is needed to expand the list of folks there or we should drop it from the list.

I did not grant @Addshore into the labs-toollabs gerrit group because I myself am not in the group! Looks like help from @Andrew is needed to expand the list of folks there or we should drop it from the list.

Let's get rid of that group. (T159051: Document and update Gerrit groups for repositories related to Tool Labs)

bd808 closed this task as Resolved.Jul 29 2018, 2:17 PM
bd808 claimed this task.

Will follow up on T159051.